<?php

namespace Mamad\RolePermissions\Providers;

use Mamad\RolePermissions\Models\Permission;
use Mamad\RolePermissions\Models\Role;
use Mamad\RolePermissions\Policies\RolePermissionPolicy;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\ServiceProvider;

class RolePermissionsServiceProvider extends ServiceProvider
{
    public function register()
    {
        $this->loadMigrationsFrom(__DIR__ . '/../Database/Migrations');
        $this->loadJsonTranslationsFrom(__DIR__ . "/../Resources/Lang");
    }

    public function boot()
    {

    }
}
